## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csComparatorString< T > Class Template Reference
[Containers]

Template that can be used as a base class for comparators for string types. More...

`#include <csutil/comparator.h>`

List of all members.

## Static Public Member Functions

static int | Compare (T const &r1, T const &r2)

## Detailed Description

### template<class T>
class csComparatorString< T >

Template that can be used as a base class for comparators for string types.

Assumes presence of `operator char const*()' (the cast operator). Also works for normal C-strings. Example:

     CS_SPECIALIZE_TEMPLATE csComparator<MyString> :
       public csComparatorString<MyString> {};

Definition at line 72 of file comparator.h.

The documentation for this class was generated from the following file:

- csutil/comparator.h